Bug 13134 - Add patron category to returns confirmation dialogs
Summary: Add patron category to returns confirmation dialogs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-23 11:16 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13134 - Add patron category to returns confirmation dialogs (4.41 KB, patch)
2014-10-23 11:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13134 - Add patron category to returns confirmation dialogs (4.47 KB, patch)
2014-10-23 11:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13134 - Add patron category to returns confirmation dialogs (5.80 KB, patch)
2014-10-23 18:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13134: Fix template file to make category appear (2.01 KB, patch)
2016-08-10 20:20 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13134 - Add patron category to returns confirmation dialogs (5.60 KB, patch)
2016-08-11 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13134: Fix template file to make category appear (2.11 KB, patch)
2016-08-11 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13134 - Add patron category to returns confirmation dialogs (5.61 KB, patch)
2016-08-12 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13134: Fix template file to make category appear (2.13 KB, patch)
2016-08-12 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-10-23 11:16:37 UTC
Some librarians find it useful to know what category a patron is before confirming a reserve or transfer from the checkin screen.
Comment 1 Kyle M Hall 2014-10-23 11:23:54 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2014-10-23 11:35:53 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2014-10-23 14:54:12 UTC
My inclination is to add this to the line with the patron name, similar to the way we do it on the screen where you submit a partial name for checkout and are presented with a multi-select. For example:

<li>
  <a href="/cgi-bin/koha/members/moremember.pl?borrowernumber=[% borrowernumber %]">[% borsurname %], [% borfirstname %]</a>
  ([% borcnum %]<span class="patron-category"> - [% borcategory %]</span>)
</li>

Which would like something like this:

- Leonard, Owen (012345 - Adult)

Seems more compact and logical to me.
Comment 4 Kyle M Hall 2014-10-23 18:38:10 UTC
(In reply to Owen Leonard from comment #3)
> My inclination is to add this to the line with the patron name, similar to
> the way we do it on the screen where you submit a partial name for checkout
> and are presented with a multi-select. For example:
> 
> <li>
>   <a href="/cgi-bin/koha/members/moremember.pl?borrowernumber=[%
> borrowernumber %]">[% borsurname %], [% borfirstname %]</a>
>   ([% borcnum %]<span class="patron-category"> - [% borcategory %]</span>)
> </li>
> 
> Which would like something like this:
> 
> - Leonard, Owen (012345 - Adult)
> 
> Seems more compact and logical to me.

I agree. I think that's a much better idea. I'll update the patch as soon as I can.
Comment 5 Kyle M Hall 2014-10-23 18:41:45 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2014-10-24 13:25:23 UTC
(In reply to Kyle M Hall from comment #5)
> 2) Trap a hold for a patron, note the patron category is now displayed
> 3) Trap a hold for pickup at another loation, note the patron category
>    is now displayed

I think there's a copy-paste error. I'm not seeing the patron category in this latest version for either of those cases.
Comment 7 Marc Véron 2016-08-10 20:20:04 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2016-08-11 12:33:45 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2016-08-11 12:33:53 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2016-08-12 11:13:18 UTC
Created attachment 54358 [details] [review]
Bug 13134 - Add patron category to returns confirmation dialogs

Some librarians find it useful to know what category a patron is before
confirming a reserve or transfer from the checkin screen.

This patch adds the patron category to the hold and transfer popups
to the patron information already displayed. The li tags that contain
the patron category have the class "patron-category" to allow this data
to be easily hidden.

Test Plan:
1) Apply this patch
2) Trap a hold for a patron, note the patron category is now displayed
3) Trap a hold for pickup at another loation, note the patron category
   is now displayed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2016-08-12 11:13:49 UTC
Created attachment 54359 [details] [review]
Bug 13134: Fix template file to make category appear

This is a followup to rescue the bug.

To test: Follow test plan from comment #1

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Kyle M Hall 2016-09-15 13:56:28 UTC
Pushed to master for 16.11, thanks for the followup Marc!